clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
clang::query::QuerySession Class Reference

Represents the state for a particular clang-query session. More...

`#include <QuerySession.h>`

Collaboration diagram for clang::query::QuerySession:
[legend]

## Public Member Functions
| QuerySession (llvm::ArrayRef< std::unique_ptr< ASTUnit >> ASTs)

## Public Attributes
llvm::ArrayRef < std::unique_ptr< ASTUnit > > | ASTs
OutputKind | OutKind
bool | BindRoot
bool | Terminate
llvm::StringMap < ast_matchers::dynamic::VariantValue > | NamedValues

## Detailed Description

Represents the state for a particular clang-query session.

Definition at line 25 of file QuerySession.h.

## Constructor & Destructor Documentation

clang::query::QuerySession::QuerySession | ( | llvm::ArrayRef< std::unique_ptr< ASTUnit >> | ASTs | ) |
| inline

Definition at line 27 of file QuerySession.h.

## Member Data Documentation

llvm::ArrayRef<std::unique_ptr<ASTUnit> > clang::query::QuerySession::ASTs

Definition at line 30 of file QuerySession.h.

Referenced by clang::query::MatchQuery::run().

bool clang::query::QuerySession::BindRoot

Definition at line 32 of file QuerySession.h.

Referenced by clang::query::MatchQuery::run().

llvm::StringMap<ast_matchers::dynamic::VariantValue> clang::query::QuerySession::NamedValues

Definition at line 34 of file QuerySession.h.

Referenced by clang::query::LetQuery::run().

OutputKind clang::query::QuerySession::OutKind

Definition at line 31 of file QuerySession.h.

Referenced by clang::query::MatchQuery::run().

bool clang::query::QuerySession::Terminate

Definition at line 33 of file QuerySession.h.

Referenced by main(), and clang::query::QuitQuery::run().

The documentation for this class was generated from the following file:

- QuerySession.h